## org.eclipse.emf.ecore.sdo.util
Class SDOUtil

    java.lang.Object
      org.eclipse.emf.ecore.sdo.util.SDOUtil

    public final class SDOUtil

extends java.lang.Object

Nested Class Summary
`protected static class` `SDOUtil.Accessor` Process the default EMF path and minimal XPath syntax.

Field Summary
`protected static java.util.Map<java.lang.String,java.lang.Object>` `registrations`

Constructor Summary
`SDOUtil()`

Method Summary
`static EProperty` `adaptProperty(EStructuralFeature eStructuralFeature)`
`static EType` `adaptType(EClassifier eClassifier)`
`static void` `configureResourceSet(ResourceSet resourceSet)`
`static EDataObject` `create(EClass eClass)`
`static EDataObject` `create(EType eType)`
`static EDataObject` `create(Type type)`
`static DataObject` `createDataObject(EObject eObject, int propertyIndex)`
`static DataObject` `createDataObject(EObject eObject, int propertyIndex, java.lang.String namespaceURI, java.lang.String typeName)`
`static DataObject` `createDataObject(EObject eObject, int propertyIndex, Type type)`
`static DataObject` `createDataObject(EObject eObject, Property property)`
`static DataObject` `createDataObject(EObject eObject, Property property, Type type)`
`static DataObject` `createDataObject(EObject eObject, java.lang.String propertyName)`
`static DataObject` `createDataObject(EObject eObject, java.lang.String propertyName, java.lang.String namespaceURI, java.lang.String typeName)`
`static DataObject` `createDataObject(EObject eObject, java.lang.String propertyName, Type type)`
`static ResourceSet` `createResourceSet()`
`static void` `delete(EObject eObject)`
`static java.lang.Object` `get(EObject eObject, EProperty property)`
`protected static java.lang.Object` `get(EObject eObject, EStructuralFeature feature)`
`static java.lang.Object` `get(EObject eObject, int propertyIndex)`
`static java.lang.Object` `get(EObject eObject, Property property)`
`static java.lang.Object` `get(EObject eObject, java.lang.String path)`
`static java.math.BigDecimal` `getBigDecimal(EObject eObject, int propertyIndex)`
`static java.math.BigDecimal` `getBigDecimal(EObject eObject, Property property)`
`static java.math.BigDecimal` `getBigDecimal(EObject eObject, java.lang.String path)`
`protected static java.math.BigDecimal` `getBigDecimal(java.lang.Object value)`
`static java.math.BigInteger` `getBigInteger(EObject eObject, int propertyIndex)`
`static java.math.BigInteger` `getBigInteger(EObject eObject, Property property)`
`static java.math.BigInteger` `getBigInteger(EObject eObject, java.lang.String path)`
`protected static java.math.BigInteger` `getBigInteger(java.lang.Object value)`
`static boolean` `getBoolean(EObject eObject, int propertyIndex)`
`static boolean` `getBoolean(EObject eObject, Property property)`
`static boolean` `getBoolean(EObject eObject, java.lang.String path)`
`protected static boolean` `getBoolean(java.lang.Object value)`
`static byte` `getByte(EObject eObject, int propertyIndex)`
`static byte` `getByte(EObject eObject, Property property)`
`static byte` `getByte(EObject eObject, java.lang.String path)`
`protected static byte` `getByte(java.lang.Object value)`
`static byte[]` `getBytes(EObject eObject, int propertyIndex)`
`static byte[]` `getBytes(EObject eObject, Property property)`
`static byte[]` `getBytes(EObject eObject, java.lang.String path)`
`protected static byte[]` `getBytes(java.lang.Object value)`
`static char` `getChar(EObject eObject, int propertyIndex)`
`static char` `getChar(EObject eObject, Property property)`
`static char` `getChar(EObject eObject, java.lang.String path)`
`protected static char` `getChar(java.lang.Object value)`
`static DataObject` `getContainer(EObject eObject)`
`protected static EReference` `getContainmentEReference(EObject eObject, java.lang.String propertyName)`
`protected static EReference` `getContainmentEReference(EProperty property)`
`static EProperty` `getContainmentProperty(EObject eObject)`
`static DataGraph` `getDataGraph(EObject eObject)`
`static DataObject` `getDataObject(EObject eObject, int propertyIndex)`
`static DataObject` `getDataObject(EObject eObject, Property property)`
`static DataObject` `getDataObject(EObject eObject, java.lang.String path)`
`static java.util.Date` `getDate(EObject eObject, int propertyIndex)`
`static java.util.Date` `getDate(EObject eObject, Property property)`
`static java.util.Date` `getDate(EObject eObject, java.lang.String path)`
`protected static java.util.Date` `getDate(java.lang.Object value)`
`protected static java.lang.String` `getDateTypeName(EDataType eDataType)`
`static double` `getDouble(EObject eObject, int propertyIndex)`
`static double` `getDouble(EObject eObject, Property property)`
`static double` `getDouble(EObject eObject, java.lang.String path)`
`protected static double` `getDouble(java.lang.Object value)`
`static EDataGraph` `getEDataGraph(EObject eObject)`
`protected static EStructuralFeature` `getEStructuralFeature(EObject eObject, java.lang.String propertyName)`
`protected static EStructuralFeature` `getFeature(EObject eObject, int propertyIndex)`
`static float` `getFloat(EObject eObject, int propertyIndex)`
`static float` `getFloat(EObject eObject, Property property)`
`static float` `getFloat(EObject eObject, java.lang.String path)`
`protected static float` `getFloat(java.lang.Object value)`
`static java.util.List<Property>` `getInstanceProperties(EObject eObject)`
`static int` `getInt(EObject eObject, int propertyIndex)`
`static int` `getInt(EObject eObject, Property property)`
`static int` `getInt(EObject eObject, java.lang.String path)`
`protected static int` `getInt(java.lang.Object value)`

`static

`<T> java.util.List<T>`

`

`getList(EObject eObject, int propertyIndex)`

`static

`<T> java.util.List<T>`

`

`getList(EObject eObject, Property property)`

`static

`<T> java.util.List<T>`

`

`getList(EObject eObject, java.lang.String path)`

`static long` `getLong(EObject eObject, int propertyIndex)`
`static long` `getLong(EObject eObject, Property property)`
`static long` `getLong(EObject eObject, java.lang.String path)`
`protected static long` `getLong(java.lang.Object value)`
`protected static java.util.Map<java.lang.String,java.lang.Object>` `getRegistrations()`
`static Sequence` `getSequence(EObject eObject, int propertyIndex)`
`static Sequence` `getSequence(EObject eObject, Property property)`
`static Sequence` `getSequence(EObject eObject, java.lang.String path)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, java.math.BigDecimal value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, java.math.BigInteger value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, boolean value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, byte value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, byte[] value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, char value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, java.util.Date value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, double value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, float value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, int value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, long value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, short value)`
`protected static java.lang.Object` `getSetValue(EStructuralFeature eStructuralFeature, java.lang.String value)`
`static short` `getShort(EObject eObject, int propertyIndex)`
`static short` `getShort(EObject eObject, Property property)`
`static short` `getShort(EObject eObject, java.lang.String path)`
`protected static short` `getShort(java.lang.Object value)`
`static java.lang.String` `getString(EObject eObject, int propertyIndex)`
`static java.lang.String` `getString(EObject eObject, Property property)`
`static java.lang.String` `getString(EObject eObject, java.lang.String path)`
`protected static java.lang.String` `getString(java.lang.Object value)`
`static EType` `getType(EObject eObject)`
`static boolean` `isSet(EObject eObject, EProperty property)`
`protected static boolean` `isSet(EObject eObject, EStructuralFeature feature)`
`static boolean` `isSet(EObject eObject, int propertyIndex)`
`static boolean` `isSet(EObject eObject, Property property)`
`static boolean` `isSet(EObject eObject, java.lang.String path)`
`static EDataGraph` `loadDataGraph(java.io.InputStream inputStream, java.util.Map<?,?> options)`
`static void` `set(EObject eObject, EProperty property, java.lang.Object value)`
`protected static void` `set(EObject eObject, EStructuralFeature feature, java.lang.Object value)`
`static void` `set(EObject eObject, int propertyIndex, java.lang.Object value)`
`static void` `set(EObject eObject, Property property, java.lang.Object value)`
`static void` `set(EObject eObject, java.lang.String path, java.lang.Object value)`
`static void` `setBigDecimal(EObject eObject, int propertyIndex, java.math.BigDecimal value)`
`static void` `setBigDecimal(EObject eObject, Property property, java.math.BigDecimal value)`
`static void` `setBigDecimal(EObject eObject, java.lang.String path, java.math.BigDecimal value)`
`static void` `setBigInteger(EObject eObject, int propertyIndex, java.math.BigInteger value)`
`static void` `setBigInteger(EObject eObject, Property property, java.math.BigInteger value)`
`static void` `setBigInteger(EObject eObject, java.lang.String path, java.math.BigInteger value)`
`static void` `setBoolean(EObject eObject, int propertyIndex, boolean value)`
`static void` `setBoolean(EObject eObject, Property property, boolean value)`
`static void` `setBoolean(EObject eObject, java.lang.String path, boolean value)`
`static void` `setByte(EObject eObject, int propertyIndex, byte value)`
`static void` `setByte(EObject eObject, Property property, byte value)`
`static void` `setByte(EObject eObject, java.lang.String path, byte value)`
`static void` `setBytes(EObject eObject, int propertyIndex, byte[] value)`
`static void` `setBytes(EObject eObject, Property property, byte[] value)`
`static void` `setBytes(EObject eObject, java.lang.String path, byte[] value)`
`static void` `setChar(EObject eObject, int propertyIndex, char value)`
`static void` `setChar(EObject eObject, Property property, char value)`
`static void` `setChar(EObject eObject, java.lang.String path, char value)`
`static void` `setDataObject(EObject eObject, int propertyIndex, DataObject value)`
`static void` `setDataObject(EObject eObject, Property property, DataObject value)`
`static void` `setDataObject(EObject eObject, java.lang.String path, DataObject value)`
`static void` `setDate(EObject eObject, int propertyIndex, java.util.Date value)`
`static void` `setDate(EObject eObject, Property property, java.util.Date value)`
`static void` `setDate(EObject eObject, java.lang.String path, java.util.Date value)`
`static void` `setDouble(EObject eObject, int propertyIndex, double value)`
`static void` `setDouble(EObject eObject, Property property, double value)`
`static void` `setDouble(EObject eObject, java.lang.String path, double value)`
`static void` `setFloat(EObject eObject, int propertyIndex, float value)`
`static void` `setFloat(EObject eObject, Property property, float value)`
`static void` `setFloat(EObject eObject, java.lang.String path, float value)`
`static void` `setInt(EObject eObject, int propertyIndex, int value)`
`static void` `setInt(EObject eObject, Property property, int value)`
`static void` `setInt(EObject eObject, java.lang.String path, int value)`
`static void` `setList(EObject eObject, int propertyIndex, java.util.List<?> value)`
`static void` `setList(EObject eObject, Property property, java.util.List<?> value)`
`static void` `setList(EObject eObject, java.lang.String path, java.util.List<?> value)`
`static void` `setLong(EObject eObject, int propertyIndex, long value)`
`static void` `setLong(EObject eObject, Property property, long value)`
`static void` `setLong(EObject eObject, java.lang.String path, long value)`
`static void` `setShort(EObject eObject, int propertyIndex, short value)`
`static void` `setShort(EObject eObject, Property property, short value)`
`static void` `setShort(EObject eObject, java.lang.String path, short value)`
`static void` `setString(EObject eObject, int propertyIndex, java.lang.String value)`
`static void` `setString(EObject eObject, Property property, java.lang.String value)`
`static void` `setString(EObject eObject, java.lang.String path, java.lang.String value)`
`static void` `unset(EObject eObject, EProperty property)`
`protected static void` `unset(EObject eObject, EStructuralFeature feature)`
`static void` `unset(EObject eObject, int propertyIndex)`
`static void` `unset(EObject eObject, Property property)`
`static void` `unset(EObject eObject, java.lang.String path)`
`static java.lang.Object` `writeReplace(EObject eObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrations

    protected static java.util.Map<java.lang.String,java.lang.Object> registrations

Constructor Detail

### SDOUtil

    public SDOUtil()

Method Detail

### getInstanceProperties

    public static java.util.List<Property> getInstanceProperties(EObject eObject)

### getEStructuralFeature

    protected static EStructuralFeature getEStructuralFeature(EObject eObject,
                                                              java.lang.String propertyName)

### getContainmentEReference

    protected static EReference getContainmentEReference(EObject eObject,
                                                         java.lang.String propertyName)

### getContainmentEReference

    protected static EReference getContainmentEReference(EProperty property)

### get

    public static java.lang.Object get(EObject eObject,
                                       java.lang.String path)

### set

    public static void set(EObject eObject,
                           java.lang.String path,
                           java.lang.Object value)

### isSet

    public static boolean isSet(EObject eObject,
                                java.lang.String path)

### unset

    public static void unset(EObject eObject,
                             java.lang.String path)

### getDataObject

    public static DataObject getDataObject(EObject eObject,
                                           java.lang.String path)

### getList

    public static <T> java.util.List<T> getList(EObject eObject,
                                                java.lang.String path)

### getSequence

    public static Sequence getSequence(EObject eObject,
                                       java.lang.String path)

### setDataObject

    public static void setDataObject(EObject eObject,
                                     java.lang.String path,
                                     DataObject value)

### setList

    public static void setList(EObject eObject,
                               java.lang.String path,
                               java.util.List<?> value)

### getFeature

    protected static EStructuralFeature getFeature(EObject eObject,
                                                   int propertyIndex)

### get

    public static java.lang.Object get(EObject eObject,
                                       int propertyIndex)

### set

    public static void set(EObject eObject,
                           int propertyIndex,
                           java.lang.Object value)

### isSet

    public static boolean isSet(EObject eObject,
                                int propertyIndex)

### unset

    public static void unset(EObject eObject,
                             int propertyIndex)

### getDataObject

    public static DataObject getDataObject(EObject eObject,
                                           int propertyIndex)

### getList

    public static <T> java.util.List<T> getList(EObject eObject,
                                                int propertyIndex)

### getSequence

    public static Sequence getSequence(EObject eObject,
                                       int propertyIndex)

### setDataObject

    public static void setDataObject(EObject eObject,
                                     int propertyIndex,
                                     DataObject value)

### setList

    public static void setList(EObject eObject,
                               int propertyIndex,
                               java.util.List<?> value)

### get

    public static java.lang.Object get(EObject eObject,
                                       Property property)

### set

    public static void set(EObject eObject,
                           Property property,
                           java.lang.Object value)

### isSet

    public static boolean isSet(EObject eObject,
                                Property property)

### unset

    public static void unset(EObject eObject,
                             Property property)

### getDataObject

    public static DataObject getDataObject(EObject eObject,
                                           Property property)

### getList

    public static <T> java.util.List<T> getList(EObject eObject,
                                                Property property)

### getSequence

    public static Sequence getSequence(EObject eObject,
                                       Property property)

### setDataObject

    public static void setDataObject(EObject eObject,
                                     Property property,
                                     DataObject value)

### setList

    public static void setList(EObject eObject,
                               Property property,
                               java.util.List<?> value)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              java.lang.String propertyName)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              int propertyIndex)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              Property property)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              java.lang.String propertyName,
                                              java.lang.String namespaceURI,
                                              java.lang.String typeName)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              java.lang.String propertyName,
                                              Type type)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              int propertyIndex,
                                              java.lang.String namespaceURI,
                                              java.lang.String typeName)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              int propertyIndex,
                                              Type type)

### createDataObject

    public static DataObject createDataObject(EObject eObject,
                                              Property property,
                                              Type type)

### delete

    public static void delete(EObject eObject)

### getContainer

    public static DataObject getContainer(EObject eObject)

### getContainmentProperty

    public static EProperty getContainmentProperty(EObject eObject)

### getEDataGraph

    public static EDataGraph getEDataGraph(EObject eObject)

### getDataGraph

    public static DataGraph getDataGraph(EObject eObject)

### getType

    public static EType getType(EObject eObject)

### adaptType

    public static EType adaptType(EClassifier eClassifier)

### adaptProperty

    public static EProperty adaptProperty(EStructuralFeature eStructuralFeature)

### create

    public static EDataObject create(Type type)

### create

    public static EDataObject create(EType eType)

### create

    public static EDataObject create(EClass eClass)

### writeReplace

    public static java.lang.Object writeReplace(EObject eObject)
                                         throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### get

    public static java.lang.Object get(EObject eObject,
                                       EProperty property)

### set

    public static void set(EObject eObject,
                           EProperty property,
                           java.lang.Object value)

### isSet

    public static boolean isSet(EObject eObject,
                                EProperty property)

### unset

    public static void unset(EObject eObject,
                             EProperty property)

### get

    protected static java.lang.Object get(EObject eObject,
                                          EStructuralFeature feature)

### set

    protected static void set(EObject eObject,
                              EStructuralFeature feature,
                              java.lang.Object value)

### isSet

    protected static boolean isSet(EObject eObject,
                                   EStructuralFeature feature)

### unset

    protected static void unset(EObject eObject,
                                EStructuralFeature feature)

### createResourceSet

    public static ResourceSet createResourceSet()

### getRegistrations

    protected static java.util.Map<java.lang.String,java.lang.Object> getRegistrations()

### configureResourceSet

    public static void configureResourceSet(ResourceSet resourceSet)

### loadDataGraph

    public static EDataGraph loadDataGraph(java.io.InputStream inputStream,
                                           java.util.Map<?,?> options)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBigDecimal

    public static java.math.BigDecimal getBigDecimal(EObject eObject,
                                                     int propertyIndex)

### getBigDecimal

    public static java.math.BigDecimal getBigDecimal(EObject eObject,
                                                     Property property)

### getBigDecimal

    public static java.math.BigDecimal getBigDecimal(EObject eObject,
                                                     java.lang.String path)

### getBigDecimal

    protected static java.math.BigDecimal getBigDecimal(java.lang.Object value)

### setBigDecimal

    public static void setBigDecimal(EObject eObject,
                                     int propertyIndex,
                                     java.math.BigDecimal value)

### setBigDecimal

    public static void setBigDecimal(EObject eObject,
                                     Property property,
                                     java.math.BigDecimal value)

### setBigDecimal

    public static void setBigDecimal(EObject eObject,
                                     java.lang.String path,
                                     java.math.BigDecimal value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  java.math.BigDecimal value)

### getBigInteger

    public static java.math.BigInteger getBigInteger(EObject eObject,
                                                     int propertyIndex)

### getBigInteger

    public static java.math.BigInteger getBigInteger(EObject eObject,
                                                     Property property)

### getBigInteger

    public static java.math.BigInteger getBigInteger(EObject eObject,
                                                     java.lang.String path)

### getBigInteger

    protected static java.math.BigInteger getBigInteger(java.lang.Object value)

### setBigInteger

    public static void setBigInteger(EObject eObject,
                                     int propertyIndex,
                                     java.math.BigInteger value)

### setBigInteger

    public static void setBigInteger(EObject eObject,
                                     Property property,
                                     java.math.BigInteger value)

### setBigInteger

    public static void setBigInteger(EObject eObject,
                                     java.lang.String path,
                                     java.math.BigInteger value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  java.math.BigInteger value)

### getBoolean

    public static boolean getBoolean(EObject eObject,
                                     int propertyIndex)

### getBoolean

    public static boolean getBoolean(EObject eObject,
                                     Property property)

### getBoolean

    public static boolean getBoolean(EObject eObject,
                                     java.lang.String path)

### getBoolean

    protected static boolean getBoolean(java.lang.Object value)

### setBoolean

    public static void setBoolean(EObject eObject,
                                  int propertyIndex,
                                  boolean value)

### setBoolean

    public static void setBoolean(EObject eObject,
                                  Property property,
                                  boolean value)

### setBoolean

    public static void setBoolean(EObject eObject,
                                  java.lang.String path,
                                  boolean value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  boolean value)

### getByte

    public static byte getByte(EObject eObject,
                               int propertyIndex)

### getByte

    public static byte getByte(EObject eObject,
                               Property property)

### getByte

    public static byte getByte(EObject eObject,
                               java.lang.String path)

### getByte

    protected static byte getByte(java.lang.Object value)

### setByte

    public static void setByte(EObject eObject,
                               int propertyIndex,
                               byte value)

### setByte

    public static void setByte(EObject eObject,
                               Property property,
                               byte value)

### setByte

    public static void setByte(EObject eObject,
                               java.lang.String path,
                               byte value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  byte value)

### getBytes

    public static byte[] getBytes(EObject eObject,
                                  int propertyIndex)

### getBytes

    public static byte[] getBytes(EObject eObject,
                                  Property property)

### getBytes

    public static byte[] getBytes(EObject eObject,
                                  java.lang.String path)

### getBytes

    protected static byte[] getBytes(java.lang.Object value)

### setBytes

    public static void setBytes(EObject eObject,
                                int propertyIndex,
                                byte[] value)

### setBytes

    public static void setBytes(EObject eObject,
                                Property property,
                                byte[] value)

### setBytes

    public static void setBytes(EObject eObject,
                                java.lang.String path,
                                byte[] value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  byte[] value)

### getChar

    public static char getChar(EObject eObject,
                               int propertyIndex)

### getChar

    public static char getChar(EObject eObject,
                               Property property)

### getChar

    public static char getChar(EObject eObject,
                               java.lang.String path)

### getChar

    protected static char getChar(java.lang.Object value)

### setChar

    public static void setChar(EObject eObject,
                               int propertyIndex,
                               char value)

### setChar

    public static void setChar(EObject eObject,
                               Property property,
                               char value)

### setChar

    public static void setChar(EObject eObject,
                               java.lang.String path,
                               char value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  char value)

### getDate

    public static java.util.Date getDate(EObject eObject,
                                         int propertyIndex)

### getDate

    public static java.util.Date getDate(EObject eObject,
                                         Property property)

### getDate

    public static java.util.Date getDate(EObject eObject,
                                         java.lang.String path)

### getDate

    protected static java.util.Date getDate(java.lang.Object value)

### setDate

    public static void setDate(EObject eObject,
                               int propertyIndex,
                               java.util.Date value)

### setDate

    public static void setDate(EObject eObject,
                               Property property,
                               java.util.Date value)

### setDate

    public static void setDate(EObject eObject,
                               java.lang.String path,
                               java.util.Date value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  java.util.Date value)

### getDateTypeName

    protected static java.lang.String getDateTypeName(EDataType eDataType)

### getDouble

    public static double getDouble(EObject eObject,
                                   int propertyIndex)

### getDouble

    public static double getDouble(EObject eObject,
                                   Property property)

### getDouble

    public static double getDouble(EObject eObject,
                                   java.lang.String path)

### getDouble

    protected static double getDouble(java.lang.Object value)

### setDouble

    public static void setDouble(EObject eObject,
                                 int propertyIndex,
                                 double value)

### setDouble

    public static void setDouble(EObject eObject,
                                 Property property,
                                 double value)

### setDouble

    public static void setDouble(EObject eObject,
                                 java.lang.String path,
                                 double value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  double value)

### getFloat

    public static float getFloat(EObject eObject,
                                 int propertyIndex)

### getFloat

    public static float getFloat(EObject eObject,
                                 Property property)

### getFloat

    public static float getFloat(EObject eObject,
                                 java.lang.String path)

### getFloat

    protected static float getFloat(java.lang.Object value)

### setFloat

    public static void setFloat(EObject eObject,
                                int propertyIndex,
                                float value)

### setFloat

    public static void setFloat(EObject eObject,
                                Property property,
                                float value)

### setFloat

    public static void setFloat(EObject eObject,
                                java.lang.String path,
                                float value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  float value)

### getInt

    public static int getInt(EObject eObject,
                             int propertyIndex)

### getInt

    public static int getInt(EObject eObject,
                             Property property)

### getInt

    public static int getInt(EObject eObject,
                             java.lang.String path)

### getInt

    protected static int getInt(java.lang.Object value)

### setInt

    public static void setInt(EObject eObject,
                              int propertyIndex,
                              int value)

### setInt

    public static void setInt(EObject eObject,
                              Property property,
                              int value)

### setInt

    public static void setInt(EObject eObject,
                              java.lang.String path,
                              int value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  int value)

### getLong

    public static long getLong(EObject eObject,
                               int propertyIndex)

### getLong

    public static long getLong(EObject eObject,
                               Property property)

### getLong

    public static long getLong(EObject eObject,
                               java.lang.String path)

### getLong

    protected static long getLong(java.lang.Object value)

### setLong

    public static void setLong(EObject eObject,
                               int propertyIndex,
                               long value)

### setLong

    public static void setLong(EObject eObject,
                               Property property,
                               long value)

### setLong

    public static void setLong(EObject eObject,
                               java.lang.String path,
                               long value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  long value)

### getShort

    public static short getShort(EObject eObject,
                                 int propertyIndex)

### getShort

    public static short getShort(EObject eObject,
                                 Property property)

### getShort

    public static short getShort(EObject eObject,
                                 java.lang.String path)

### getShort

    protected static short getShort(java.lang.Object value)

### setShort

    public static void setShort(EObject eObject,
                                int propertyIndex,
                                short value)

### setShort

    public static void setShort(EObject eObject,
                                Property property,
                                short value)

### setShort

    public static void setShort(EObject eObject,
                                java.lang.String path,
                                short value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  short value)

### getString

    public static java.lang.String getString(EObject eObject,
                                             int propertyIndex)

### getString

    public static java.lang.String getString(EObject eObject,
                                             Property property)

### getString

    public static java.lang.String getString(EObject eObject,
                                             java.lang.String path)

### getString

    protected static java.lang.String getString(java.lang.Object value)

### setString

    public static void setString(EObject eObject,
                                 int propertyIndex,
                                 java.lang.String value)

### setString

    public static void setString(EObject eObject,
                                 Property property,
                                 java.lang.String value)

### setString

    public static void setString(EObject eObject,
                                 java.lang.String path,
                                 java.lang.String value)

### getSetValue

    protected static java.lang.Object getSetValue(EStructuralFeature eStructuralFeature,
                                                  java.lang.String value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.